{% extends '@App/base.html.twig' %}

{% block body %}

    {{ form_start(form, { 'attr': {'class': 'form-horizontal'}}) }}
    {{ form_errors(form) }}

    <div class="header-block">
    <h1 class="text-uppercase each-word">{{ 'template.buildingNewTemplate'|trans }}</h1>
    <div class="box">
        <div class="row">
            <div class="col-xs-12  col-sm-4 col-md-4">
                <div>
                    <label class="col-sm-4">{{ 'template.name'|trans }}*</label>
                    <div class="col-sm-8">{{ form_widget(form.name, { 'attr': {'class': 'form-control'} }) }}</div>
                </div>
            </div>

            <div class="col-xs-12  col-sm-4 col-md-4">
                <div>
                    <label class="col-sm-4">{{ 'template.version'|trans }}*</label>
                    <div class="col-sm-8">{{ form_widget(form.version, { 'attr': {'class': 'form-control'} }) }}</div>
                </div>
            </div>

            <div class="col-xs-12  col-sm-4 col-md-4">
                <div>
                    <label class="col-sm-4">{{ 'template.owner'|trans }}</label>
                    <div class="col-sm-8">
                        {% if template is defined and template.owner.username %}
                            {{ template.owner.username }}
                        {% else %}
                            {{ app.user.username }}
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>


        <div class="row">
            <div class="col-xs-12  col-sm-4 col-md-4">
                <div>
                    <label class="col-sm-4">{{ 'template.description'|trans }}*</label>
                    <div class="col-sm-8">{{ form_widget(form.shortDescription, { 'attr': {'class': 'form-control'} }) }}</div>
                </div>
            </div>

            <div class="col-xs-12  col-sm-4 col-md-4">
                <div>
                    <label class="col-sm-4">{{ 'template.internalref'|trans }}*</label>
                    <div class="col-sm-8">{{ form_widget(form.internalReference, { 'attr': {'class': 'form-control'} }) }}</div>
                </div>
            </div>

            <div class="col-xs-12  col-sm-4 col-md-4">
                <div>
                    <label class="col-sm-4">{{ 'template.externalref'|trans }}*</label>
                    <div class="col-sm-8">{{ form_widget(form.externalReference, { 'attr': {'class': 'form-control'} }) }}</div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-xs-12  col-sm-4 col-md-4">
                <div>
                    <label class="col-sm-4">{{ 'template.comment'|trans }}</label>
                    <div class="col-sm-8">{{ form_widget(form.comment, { 'attr': {'class': 'form-control'} }) }}</div>
                </div>
            </div>

            <div class="col-xs-12  col-sm-4 col-md-4">
                <div>
                    <label class="col-sm-4">{{ 'template.language'|trans }}*</label>
                    <div class="col-sm-8">{{ form_widget(form.language, { 'attr': {'class': 'form-control'} }) }}</div>
                </div>
            </div>

            <div class="col-xs-12  col-sm-4 col-md-4">
                <div>
                    <label class="col-sm-4">{{ 'template.keywords'|trans }}</label>
                    <div class="col-sm-8">
                        {{ form_widget(form.keywords, { 'attr': {'class': 'form-control', 'style': 'width: 75%'} }) }}
                        <a class="btn btn-primary add-template-attribute" href="#"
                           data-attribute-type="keyword"
                           data-title="{{ 'template.keywords'|trans }}">
                            <i class="fa fa-plus" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-xs-12  col-sm-4 col-md-4">
                <div>
                    <label class="col-sm-4">{{ 'template.domain'|trans }}</label>
                    <div class="col-sm-8">
                        {{ form_widget(form.domain, { 'attr': {'class': 'form-control', 'style': 'width: 75%'} }) }}
                        <a class="btn btn-primary add-template-attribute" href="#"
                           data-attribute-type="domain"
                           data-title="{{ 'template.domain'|trans }}">
                            <i class="fa fa-plus" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
            </div>

            <div class="col-xs-12  col-sm-4 col-md-4">
                <div>
                    <label class="col-sm-4">{{ 'template.category'|trans }}</label>
                    <div class="col-sm-8">
                        {{ form_widget(form.category, { 'attr': {'class': 'form-control', 'style': 'width: 75%'} }) }}
                        <a class="btn btn-primary add-template-attribute" href="#"
                           data-attribute-type="category"
                           data-title="{{ 'template.category'|trans }}">
                            <i class="fa fa-plus" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
            </div>

            <div class="col-xs-12  col-sm-4 col-md-4">
                <div>
                    <label class="col-sm-4">{{ 'template.type'|trans }}</label>
                    <div class="col-sm-8">
                        {{ form_widget(form.type, { 'attr': {'class': 'form-control', 'style': 'width: 75%'} }) }}
                        <a class="btn btn-primary add-template-attribute" href="#"
                           data-attribute-type="type"
                           data-title="{{ 'template.type'|trans }}">
                            <i class="fa fa-plus" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>
            </div>
        </div>


        <div class="row">
            <div class="col-xs-12  col-sm-12 col-md-12">
                <div style="text-align: right"><br/><br/>
                    {{ form_widget(form.save, { 'attr': {'class': 'btn btn-default btn-save' } }) }}<br/>

                    {% if template is defined and template.id %}

                        <a href="{{ path('template_send_validation', {templateId: template.id}) }}"
                           class="btn btn-default btn-send-validation">
                            <i class="fa fa-paper-plane"></i> {{ 'form.sendForValidation'|trans }}
                        </a><br/>

                        <button class="btn view-alpha btn-preview"
                                data-node-id='{{ template.alphaNode.id }}'>
                            <i class="fa fa-eye"></i> {{ 'form.render'|trans }}
                        </button>

                    {% endif %}
                </div>
            </div>
        </div>
    </div>

    {% if template is defined and template.id %}
        <input type="hidden" id="template-id" value="{{ template.id }}"/>
    {% endif %}

    {{ form_rest(form) }}
    {{ form_end(form) }}

    <hr/>

    {% if template.id is defined %}


        <div class="row same-height-holder">
            <!-- box-section -->
            <div class="col-md-6 col-lg-4" id="template-suggestion-container">
                <h2 class="text-uppercase each-word">{{ 'template.templateLibrary'|trans }}</h2>
                <div class="box same-height">
                    <div id="template-list-suggestion"></div>
                </div>
            </div>


            <div class="col-md-6 col-lg-4" id="template-tree-container">
                <h2 class="text-uppercase each-word"><span class="expand expand-tree"><i
                                class="fa fa-arrow-circle-left"></i></span>
                    {{ 'template.structure'|trans }}
                </h2>

                <div class="box same-height">
                    <div class="create-form form-inline">
                        <div class="form-group">
                            <input type="text" class="form-control" id="root-title"
                                   placeholder="{{ 'template.newRootSection'|trans }}"/>
                            <button class="btn add-root">{{ 'template.create'|trans }}</button>
                            <input type="hidden" id="template-id" value="{{ template.id }}"/>
                        </div>


                        <table id="treetable" class="table table-striped table-bordered table-condensed"
                               style="width: 100%">
                            <thead>
                            <tr>
                                <th></th>
                                <th></th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>


            <div class="col-md-6 col-lg-4" id="template-editor-container">
                <h2 class="text-uppercase each-word"><span class="expand expand-editor"><i
                                class="fa fa-arrow-circle-left"></i></span> {{ 'template.editor'|trans }}</h2>
                <div class="box same-height box-bottom-holder">
                    <!-- "wysiwyg text editor" area -->
                    <div class="editor-holder">
                        <div id="ckeditor-container"></div>
                    </div>

                </div>
            </div>

        </div>
    {% endif %}
{% endblock %}